{% extends "src/common/_layout.njk" %}

{%- set page_hide_breadcrumb = true -%}
{% set title = "Список сохраненных индексаций" %}
{% set page_id = "6.0" %}


{% block heading %}
    <div class="content-header d-flex align-items-center flex-wrap justify-content-between">
        <h1 class="content-header__title">{{ title }}</h1>
        <div class="text-right">
            <button class="btn btn-primary shadow">Создать новую индексацию</button>
        </div>
    </div>

{% endblock %}

{% block main %}
    <div class="card">
        <div class="card-header pb-0">
            <fieldset class="form-group position-relative has-icon-left flex-grow-1 mr-75 mb-50">
                <input type="text" class="form-control" placeholder="Поиск запроса по названию">
                <div class="form-control-position">
                    <i class="bx bx-search"></i>
                </div>
            </fieldset>
            <div class="d-flex align-items-center mb-50">
                <button type="button" class="btn btn-primary shadow mr-75">Поиск</button>
                <fieldset>
                    <select class="select2">
                        <option selected disabled>Сортировка</option>
                        <option>По возрастанию</option>
                        <option>По убыванию</option>
                        <option>Сначала новые</option>
                    </select>
                </fieldset>
            </div>
        </div><!-- .card-header -->
        <div class="card-body">
            <div class="content-header__info mb-25">Всего :493 223</div>
            <!-- datatable start -->
            <div class="table-responsive">
                <table class="table table-transparent table-hover table-extended-checkbox">
                    <thead>
                    <tr>
                        <th></th>
                        <th class="text-nowrap">ID</th>
                        <th class="text-nowrap">Имя индексации</th>
                        <th class="text-nowrap">Поиск по тегам</th>
                        <th class="text-nowrap">Периодичность</th>
                        <th class="text-nowrap">Дата начала</th>
                        <th class="text-nowrap">Статус</th>
                        <th class="text-nowrap">Редактировать</th>
                    </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td></td>
                            <td class="text-nowrap">
                                <a href="#" class="text-decoration-none">00956</a>
                            </td>
                            <td class="font-size-14">Проект Росатом блок 1</td>
                            <td class="text-nowrap font-size-14">Проект 1, Проект 2</td>
                            <td class="text-nowrap font-size-14">Разово</td>
                            <td class="text-nowrap font-size-14">21.03.2021; 19:00</td>
                            <td class="text-nowrap font-size-small">
                                <div class="color-gray-light">Разово выполнено</div>
                            </td>
                            <td class="font-size-small">
                                <a href="#">редактировать</a>
                            </td>
                        </tr>
                        <tr>
                            <td></td>
                            <td class="text-nowrap">
                                <a href="#" class="text-decoration-none">00349</a>
                            </td>
                            <td class="font-size-14">Xiaomi</td>
                            <td class="text-nowrap font-size-14">Проект 1, Проект 2</td>
                            <td class="text-nowrap font-size-14">Ежегодно</td>
                            <td class="text-nowrap font-size-14">21.03.2021; 19:00</td>
                            <td class="text-nowrap font-size-small">
                                <div class="color-gray-dark">Запуск по расписанию </div>
                            </td>
                            <td class="font-size-small">
                                <a href="#">редактировать</a>
                            </td>
                        </tr>
                        <tr>
                            <td></td>
                            <td class="text-nowrap">
                                <a href="#" class="text-decoration-none">00853</a>
                            </td>
                            <td class="font-size-14">POCO</td>
                            <td class="text-nowrap font-size-14">Проект 1, Проект 2</td>
                            <td class="text-nowrap font-size-14">Полугодовая</td>
                            <td class="text-nowrap font-size-14">21.03.2021; 19:00</td>
                            <td class="text-nowrap font-size-small">
                                <div class="color-green">В процессе индексации</div>
                            </td>
                            <td class="font-size-small">
                                <a href="#">редактировать</a>
                            </td>
                        </tr>
                        <tr>
                            <td></td>
                            <td class="text-nowrap">
                                <a href="#" class="text-decoration-none">00452</a>
                            </td>
                            <td class="font-size-14">BlackShark</td>
                            <td class="text-nowrap font-size-14">Проект 1, Проект 2</td>
                            <td class="text-nowrap font-size-14">Квартальная</td>
                            <td class="text-nowrap font-size-14">21.03.2021; 19:00</td>
                            <td class="text-nowrap font-size-small">
                                <div class="color-red">Ошибка индексации</div>
                            </td>
                            <td class="font-size-small">
                                <a href="#">редактировать</a>
                            </td>
                        </tr>
                        <tr>
                            <td></td>
                            <td class="text-nowrap">
                                <a href="#" class="text-decoration-none">01123</a>
                            </td>
                            <td class="font-size-14">3</td>
                            <td class="text-nowrap font-size-14">-</td>
                            <td class="text-nowrap font-size-14">Ежемесячная</td>
                            <td class="text-nowrap font-size-14">21.03.2021; 19:00</td>
                            <td class="text-nowrap font-size-small">
                                <div class="color-yellow">Прекращена</div>
                            </td>
                            <td class="font-size-small">
                                <a href="#">редактировать</a>
                            </td>
                        </tr>
                        <tr>
                            <td></td>
                            <td class="text-nowrap">
                                <a href="#" class="text-decoration-none">01123</a>
                            </td>
                            <td class="font-size-14">4</td>
                            <td class="text-nowrap font-size-14">-</td>
                            <td class="text-nowrap font-size-14">Ежемесячная</td>
                            <td class="text-nowrap font-size-14">21.03.2021; 19:00</td>
                            <td class="text-nowrap font-size-small">
                                <div class="color-yellow">Прекращена</div>
                            </td>
                            <td class="font-size-small">
                                <a href="#">редактировать</a>
                            </td>
                        </tr>
                        <tr>
                            <td></td>
                            <td class="text-nowrap">
                                <a href="#" class="text-decoration-none">01123</a>
                            </td>
                            <td class="font-size-14">5</td>
                            <td class="text-nowrap font-size-14">-</td>
                            <td class="text-nowrap font-size-14">Ежемесячная</td>
                            <td class="text-nowrap font-size-14">21.03.2021; 19:00</td>
                            <td class="text-nowrap font-size-small">
                                <div class="color-yellow">Прекращена</div>
                            </td>
                            <td class="font-size-small">
                                <a href="#">редактировать</a>
                            </td>
                        </tr>
                        <tr>
                            <td></td>
                            <td class="text-nowrap">
                                <a href="#" class="text-decoration-none">01123</a>
                            </td>
                            <td class="font-size-14">6</td>
                            <td class="text-nowrap font-size-14">-</td>
                            <td class="text-nowrap font-size-14">Каждые 12 часов</td>
                            <td class="text-nowrap font-size-14">21.03.2021; 19:00</td>
                            <td class="text-nowrap font-size-small">
                                <div class="color-yellow">Прекращена</div>
                            </td>
                            <td class="font-size-small">
                                <a href="#">редактировать</a>
                            </td>
                        </tr>
                        <tr>
                            <td></td>
                            <td class="text-nowrap">
                                <a href="#" class="text-decoration-none">01123</a>
                            </td>
                            <td class="font-size-14">7</td>
                            <td class="text-nowrap font-size-14">-</td>
                            <td class="text-nowrap font-size-14">Каждые 6 часов</td>
                            <td class="text-nowrap font-size-14">21.03.2021; 19:00</td>
                            <td class="text-nowrap font-size-small">
                                <div class="color-yellow">Прекращена</div>
                            </td>
                            <td class="font-size-small">
                                <a href="#">редактировать</a>
                            </td>
                        </tr>
                        <tr>
                            <td></td>
                            <td class="text-nowrap">
                                <a href="#" class="text-decoration-none">01123</a>
                            </td>
                            <td class="font-size-14">8</td>
                            <td class="text-nowrap font-size-14">-</td>
                            <td class="text-nowrap font-size-14">Каждый час</td>
                            <td class="text-nowrap font-size-14">21.03.2021; 19:00</td>
                            <td class="text-nowrap font-size-small">
                                <div class="color-yellow">Прекращена</div>
                            </td>
                            <td class="font-size-small">
                                <a href="#">редактировать</a>
                            </td>
                        </tr>
                        <tr>
                            <td></td>
                            <td class="text-nowrap">
                                <a href="#" class="text-decoration-none">01123</a>
                            </td>
                            <td class="font-size-14">9</td>
                            <td class="text-nowrap font-size-14">-</td>
                            <td class="text-nowrap font-size-14">Каждый час</td>
                            <td class="text-nowrap font-size-14">21.03.2021; 19:00</td>
                            <td class="text-nowrap font-size-small">
                                <div class="color-yellow">Прекращена</div>
                            </td>
                            <td class="font-size-small">
                                <a href="#">редактировать</a>
                            </td>
                        </tr>
                        <tr>
                            <td></td>
                            <td class="text-nowrap">
                                <a href="#" class="text-decoration-none">01123</a>
                            </td>
                            <td class="font-size-14">10</td>
                            <td class="text-nowrap font-size-14">-</td>
                            <td class="text-nowrap font-size-14">Каждый час</td>
                            <td class="text-nowrap font-size-14">21.03.2021; 19:00</td>
                            <td class="text-nowrap font-size-small">
                                <div class="color-yellow">Прекращена</div>
                            </td>
                            <td class="font-size-small">
                                <a href="#">редактировать</a>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div><!-- .table-responsive -->
            <div class="page-nav pt-2 justify-content-between">
                <div class="page-nav__action mb-75">
                    <select class="select2">
                        <option value="" selected disabled>Выбрать действие</option>
                        <option value="Перезапустить выбранные">Перезапустить выбранные</option>
                        <option value="Остановить выбранные">Остановить выбранные</option>
                        <option value="Удалить выбранные">Удалить выбранные</option>
                    </select>
                </div>
                <div class="page-nav__pagination mb-75">
                    <ul class="pagination justify-content-end mb-0">
                        <li class="page-item previous disabled">
                            <a class="page-link" href="javascript:void(0);">
                                <i class="bx bx-chevron-left"></i>
                            </a>
                        </li>
                        <li class="page-item active" aria-current="page"><a class="page-link" href="javascript:void(0);">1</a></li>
                        <li class="page-item"><a class="page-link" href="javascript:void(0);">2</a></li>
                        <li class="page-item"><a class="page-link" href="javascript:void(0);">3</a></li>
                        <li class="page-item"><a class="page-link" href="javascript:void(0);">4</a></li>
                        <li class="page-item"><a class="page-link" href="javascript:void(0);">5</a></li>
                        <li class="page-item"><a class="page-link" href="javascript:void(0);">6</a></li>
                        <li class="page-item next">
                            <a class="page-link" href="javascript:void(0);">
                                <i class="bx bx-chevron-right"></i>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="font-size-small">*- система не содержит персональных данных, только публично обнародованные общедоступные рабочие контакты</div>
            <!-- datatable ends -->
        </div><!-- .card-body -->
    </div><!-- .card -->
{% endblock %}

{% block scripts %}

    <script>
        let tablecheckbox = $('.table-extended-checkbox').DataTable({
            "searching": false,
            "lengthChange": false,
            "paging": false,
            "bInfo": false,
            'columnDefs': [
                {
                    'targets': 0,
                    'render': function (data, type, row, meta) {
                        if (type === 'display') {
                            data = '<div class="checkbox"><input type="checkbox" class="dt-checkboxes"><label></label></div>'; //body checkbox
                        }
                        return data;
                    },
                    'checkboxes': {
                        'selectRow': true,
                        'selectAllRender': '<div class="checkbox"><input type="checkbox" class="dt-checkboxes" checked=""><label></label></div >'  //head checkbox
                    }
                }],
            'select': 'multi',
            'order': [[1, 'asc']]
        });

    </script>

{% endblock %}